apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: test-knative
  namespace: argocd
  finalizers:
    - resources-finalizer.argocd.argoproj.io
  labels:
    app: test-knative
spec:
  syncPolicy:
    syncOptions:
      - CreateNamespace=true
    automated:
      prune: true
  project: default
  destination:
    name: in-cluster
    namespace: test-knative-hello-world
  source:
    path: manifests
    repoURL: 'https://gitlab.com/sed-infra/apps/knative_hello_world_test.git'
    targetRevision: HEAD

